# $Revision: 1.10 $, $Date: 2011/11/28 09:10:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	FCGI
%define	pnam	ProcManager
Summary:	FCGI::ProcManager - functions for managing FastCGI applications
Summary(pl.UTF-8):	FCGI::ProcManager - funkcje do zarządzania aplikacjami FastCGI
Name:		perl-FCGI-ProcManager
Version:	0.24
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0aa184b1e5339e0ad92f4c1439406304
URL:		http://search.cpan.org/dist/FCGI-ProcManager/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCGI::ProcManager is used to serve as a FastCGI process manager. By
re-implementing it in Perl, developers can more finely tune
performance in their web applications, and can take advantage of
copy-on-write semantics prevalent in UNIX kernel process management.
The process manager should be invoked before the caller's request
loop.

%description -l pl.UTF-8
FCGI::ProcManager służy jako zarządca procesów FastCGI. Poprzez
reimplementację tego w Perlu programiści mogą poprawić wydajność ich
aplikacji WWW i wykorzystać zalety semantyki copy-on-write
przeważającej w zarządzaniu procesami w jądrach systemów UNIX.
Zarządca procesów powinien być wywoływany przed pętlą żądań
wywołującego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{pdir}/%{pnam}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/FCGI
%{perl_vendorlib}/FCGI/ProcManager.pm
%dir %{perl_vendorlib}/FCGI/ProcManager
%{perl_vendorlib}/FCGI/ProcManager/Constrained.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-FCGI-ProcManager.spec,v $
Revision 1.10  2011/11/28 09:10:54  arekm
- up to 0.24

Revision 1.9  2009/09/14 07:04:33  amateja
- updated to 0.19

Revision 1.8  2008/10/20 16:26:46  glen
- release 1

Revision 1.7  2008/01/10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-12-24 13:19:45  qboosh
- generic URL
- LGPL v2.1

Revision 1.5  2007-12-24 00:02:57  zbyniu
- up to 0.18

Revision 1.4  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:30  baggins
- converted to UTF-8

Revision 1.2  2005/05/01 01:06:37  qboosh
- pl

Revision 1.1  2005/04/29 16:25:43  glen
- new
